Bug Hunting Session
Bug 49784 - CRASH when FILEOPEN particular document containing .svm pictures
Summary: CRASH when FILEOPEN particular document containing .svm pictures
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: x86-64 (AMD64) All
: medium major
Assignee: Not Assigned
URL:
Whiteboard: target:4.1.0 target:4.0.1 target:3.6.6
Keywords:
Depends on:
Blocks:
 
Reported: 2012-05-11 02:54 UTC by Nahir Mohamed
Modified: 2013-01-30 19:24 UTC (History)
7 users (show)

See Also:
Crash report or crash signature:


Attachments
Stack trace when it crashed (3.32 KB, text/plain)
2012-05-11 02:55 UTC, Nahir Mohamed
Details
bt + console logs on master (9.74 KB, text/plain)
2013-01-20 20:28 UTC, Julien Nabet
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Nahir Mohamed 2012-05-11 02:54:22 UTC
Hi,

We have two files containing the same .svm picture, one file is a .odt, the other a .odp.

When we open those files with LO 3.3.4 and above, Writer or Presentation starts and crash quickly after it. 

With old version of OpenOffice (v3.0.0 and v3.21) there is no crash and the file is fully readable. 

We try to get more information about the crash so we run LibreOffice 3.4.2 without debug symbol under gdb and we get a stack trace attached.


Thanks

Regards
Comment 1 Nahir Mohamed 2012-05-11 02:55:04 UTC
Created attachment 61435 [details]
Stack trace when it crashed
Comment 2 bfoman (inactive) 2012-05-11 05:17:01 UTC
If files are not confidential can you attach them here so others could reproduce on different system/build?
Comment 3 Nahir Mohamed 2012-05-11 05:37:17 UTC
Yes I know if we can attach the files it will help a lot but but have to check first if files are not confidential. So I'll be back on Monday with an answer.
Comment 4 patches 2012-06-13 10:41:19 UTC
Hi, 

File cant be attached to this case in the original form :-(
The svm file contains 2176 forms (polygons, texts ....) and its size is 293 ko.

Regarding the provided stacktrace, do you have some ideas about the root cause of coredump ?
Comment 5 Joel Madero 2012-10-03 17:51:26 UTC
Without attached documents it's really hard for us to reproduce. Can you make another file that's not confidential but shows similar problem?
Comment 6 Joel Madero 2012-10-24 15:14:05 UTC
Reporter has sent me an email with an attachment. I have confirmed behavior. 

LibO: 3.6.1.2

If/when a developer takes this on, please email me and I'll send you the attachment. Reporter has requested that this attachment not be made public but that it can be shared with a limited number of developers

Major: Crash

Medium: Possibility for corruption but number of people affected probably limited as it's only happening with svm pics
Comment 7 Julien Nabet 2013-01-20 20:28:03 UTC
Created attachment 73344 [details]
bt + console logs on master

On pc Debian x86-64 with master sources updated today, I reproduced the crash.

I attached console logs + bt
Comment 8 Julien Nabet 2013-01-20 20:31:42 UTC
Thorsten/Radek: bt attached, one for you?
Comment 9 Rainer Bielefeld Retired 2013-01-20 21:33:39 UTC
Although currently bugtrace does no underpin this suspect, I still believe that there might be common roots with the crash in Bug 59616. There might be some synergy to check all related bugs together.
Comment 10 Rainer Bielefeld Retired 2013-01-20 21:35:26 UTC
Version due to Bug 59616 #C6 (Crash in all the same versions.
Comment 11 Julien Nabet 2013-01-20 22:24:28 UTC
Submitted a patch to review (see https://gerrit.libreoffice.org/1788)
Comment 12 Not Assigned 2013-01-24 15:31:05 UTC
Julien Nabet committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=59bce03256c5c00616cf63ace140cb91fdd46aa7

Resolves: fdo#49784 CRASH when FILEOPEN particular doc containing .svm



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 13 Not Assigned 2013-01-28 08:51:18 UTC
Julien Nabet committed a patch related to this issue.
It has been pushed to "libreoffice-4-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=5ca5a5dd124f68c8a5667d86d6a0dbbd49a5f911&h=libreoffice-4-0

Resolves: fdo#49784 CRASH when FILEOPEN particular doc containing .svm


It will be available in LibreOffice 4.0.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 14 Not Assigned 2013-01-28 09:24:02 UTC
Julien Nabet committed a patch related to this issue.
It has been pushed to "libreoffice-3-6":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=35cd3d0d6dd6d5d6fc3e406cb452c07cfa7b1a7f&h=libreoffice-3-6

Resolves: fdo#49784 CRASH when FILEOPEN particular doc containing .svm


It will be available in LibreOffice 3.6.6.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 15 Marcos Souza 2013-01-30 17:51:50 UTC
Julien:
This bug can be closed?
Comment 16 Julien Nabet 2013-01-30 19:24:10 UTC
Marcos: I think so since the fix is on master, 4.0 and 3.6 branches , update to RESOLVED/FIXED.